-- true/false defn
FALSE = 0
TRUE = 1

-- condition return values
CONDITION_NOT_YET_MET = 0
CONDITION_SUCCEEDED = 1
CONDITION_FAILED = 2

-- Message types
MT_INFO = 0   -- large centre screen pop up
MT_ALERT = 1  -- top right alert message

MSG_TOP = 1
MSG_VCENTRE = 2
MSG_BOTTOM = 4
MSG_LEFT = 8
MSG_CENTRE = 16
MSG_RIGHT = 32

MSG_SMALL = 0
MSG_REG = 1
MSG_LRG = 2

MPH = 2.23693629
KMH = 3.6

gSpeedUnits = MPH

function OnEvent(event)
	return _G["OnEvent" .. event]();
end

function TestCondition(condition)
	return _G["TestCondition" .. condition]();
end

function DisplayRecordedMessage( messageName )
	SysCall("RegisterRecordedMessage", "StartDisplay" .. messageName, "StopDisplay" .. messageName, 1);
end

function StartDisplayIntroText1()
	SysCall ( "ScenarioManager:ShowInfoMessageExt", "4e082f8e-538d-4b5a-a970-180f9af07d27", "intro1.html", 8, MSG_VCENTRE + MSG_CENTRE, MSG_SMALL, FALSE );
end

function StopDisplayIntroText1()
end

function StartDisplayIntroText2()
	SysCall ( "ScenarioManager:ShowInfoMessageExt", "4e082f8e-538d-4b5a-a970-180f9af07d27", "intro2.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_SMALL, TRUE );
end

function StopDisplayIntroText2()
end

function StartDisplayChangeover()
	SysCall ( "ScenarioManager:ShowInfoMessageExt", "4e082f8e-538d-4b5a-a970-180f9af07d27", "changeover.html", 0, MSG_VCENTRE + MSG_CENTRE, MSG_REG, TRUE );
end

function StopDisplayChangeover()
end

function DeferredEvent ( event, time )
	SysCall("ScenarioManager:TriggerDeferredEvent", event, time)
end

function PlayCamera(camera)
	SysCall ( "CameraManager:ActivateCamera", camera, 0 );
end

function LockControls()
	SysCall ( "ScenarioManager:LockControls");
end

function UnlockControls()
	SysCall ( "ScenarioManager:UnlockControls");
end

function OnEventStart()
	LockControls()
	PlayCamera("introCamera")
	DeferredEvent("introText1", 1)
	DeferredEvent("Headlights", 1)
	DeferredEvent("CabCamera", 14)
end

function OnEventintroText1()
	DisplayRecordedMessage ("IntroText1");
end
	
function OnEventCabCamera()
	UnlockControls()
	PlayCamera("CabCamera")
	DisplayRecordedMessage ("IntroText2");
end	
	
function OnEventpowerChange()	
	DisplayRecordedMessage ("Changeover");
end

function OnEventHeadlights()
	SysCall("PlayerEngine:SetControlValue", "Headlights", 0, 1)
	SysCall("PlayerEngine:SetControlValue", "CabLight", 0, 0)
end

function OnEventMoving()
	SysCall("ScenarioManager:BeginConditionCheck", "Moving")
end

function TestConditionMoving()
    speed = SysCall ( "PlayerEngine:GetSpeed" ) * gSpeedUnits;
    if (speed > 5) then
      OnEvent("powerChange");
      return CONDITION_SUCCEEDED;
    end
    return CONDITION_NOT_YET_MET;
  end